新手安装求助,无法添加新帖子

04-02-19 yironz

点击发新贴出现:

http://yangnifei:8080/jive/post.jsp?forum=16

论坛: Jive(J道))

--------------------------------------------------------------------------------

下面有错误发生,请将错误报告到: Jdon

java.lang.NullPointerException

at org.apache.jsp.post_jsp._jspService(post_jsp.java:210)

at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:137)

。。。。。。

请问怎么办,就我啊,装了个Jdon版没法用啊!

环境:

windows 2000 tomcat:jakarta-tomcat-4.1.29 oracle 9i

yafeng
2004-02-21 19:14

我也碰到了这个问题。

banq能不能帮个忙呢?

我看了下,是post.jsp第99行

pageUser = myEnv.getForumFactory().getUserManager().getUser(authToken.getUserID());

这句有问题。好像myEnv里getForumFactory返回了null。

我是个初学者,偏偏装了就不能跑。郁闷:(

yafeng
2004-02-21 19:30

myEnv.getForumFactory()

替换成

forumFactory就可以了。

huangms
2004-03-25 16:00

修改后还是无法发表啊

org.apache.jasper.JasperException: Unable to compile class for JSPNote: sun.tools.javac.Main has been deprecated.

An error occurred between lines: 26 and 347 in the jsp file: /post.jsp

Generated servlet error:

C:\Tomcat 4.0\work\Standalone\localhost\jive\post$jsp.java:205: Reference to variable forumFactory in class org.apache.jsp.post$jsp as if it were a method.

pageUser = forumFactory().getUserManager().getUser(authToken.getUserID());

^

Note: C:\Tomcat 4.0\work\Standalone\localhost\jive\post$jsp.java uses or overrides a deprecated API. Recompile with "-deprecation" for details.

1 error, 2 warnings

tanser
2004-03-26 17:37

对啊,我也遇到这样的问题

斑竹可以帮忙回答一下嘛?

2Go 1 2 下一页